The Asset object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

asset_name string required
item_code string required
asset_category string
asset_owner string

Default: Company

asset_owner_company string
supplier string
customer string
image string
company string required
location string required
custodian string
cost_center string
department string
purchase_date string required
disposal_date string
journal_entry_for_scrap string
available_for_use_date string
calculate_depreciation boolean

Default: false

opening_accumulated_depreciation number
depreciation_method string
value_after_depreciation number
total_number_of_depreciations integer
frequency_of_depreciation integer
next_depreciation_date string
policy_number string
insurer string
insured_value string
insurance_start_date string
insurance_end_date string
comprehensive_insurance string
maintenance_required boolean

Default: false

booked_fixed_asset boolean

Default: false

purchase_receipt string
purchase_invoice string
default_finance_book string
split_from string
asset_quantity integer

Default: 1

depr_entry_posting_status string
is_fully_depreciated boolean

Default: false

total_asset_cost number
additional_asset_cost number

Default: 0

purchase_amount number
opening_number_of_booked_depreciations integer
purchase_receipt_item string
purchase_invoice_item string
net_purchase_amount number
asset_type string
item_name string
The Asset object
{
  "id": "asset_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "asset_name": "asset_name_example",
  "item_code": "item_code_example",
  "asset_category": "asset_category_example",
  "asset_owner": "Company",
  "asset_owner_company": "Example Corp",
  "supplier": "supplier_example",
  "customer": "customer_example",
  "image": "image_example",
  "company": "Example Corp",
  "location": "location_example",
  "custodian": "custodian_example",
  "cost_center": "cost_center_example",
  "department": "department_example",
  "purchase_date": "2024-01-15",
  "disposal_date": "2024-01-15",
  "journal_entry_for_scrap": "journal_entry_for_scrap_example",
  "available_for_use_date": "2024-01-15",
  "calculate_depreciation": false,
  "opening_accumulated_depreciation": 0,
  "depreciation_method": "depreciation_method_example",
  "value_after_depreciation": 0,
  "total_number_of_depreciations": 0,
  "frequency_of_depreciation": 0,
  "next_depreciation_date": "2024-01-15",
  "policy_number": "policy_number_example",
  "insurer": "insurer_example",
  "insured_value": "insured_value_example",
  "insurance_start_date": "2024-01-15",
  "insurance_end_date": "2024-01-15",
  "comprehensive_insurance": "comprehensive_insurance_example",
  "maintenance_required": false,
  "booked_fixed_asset": false,
  "purchase_receipt": "purchase_receipt_example",
  "purchase_invoice": "purchase_invoice_example",
  "default_finance_book": "default_finance_book_example",
  "split_from": "split_from_example",
  "asset_quantity": 1,
  "depr_entry_posting_status": "depr_entry_posting_status_example",
  "is_fully_depreciated": false,
  "total_asset_cost": 0,
  "additional_asset_cost": 0,
  "purchase_amount": 0,
  "opening_number_of_booked_depreciations": 0,
  "purchase_receipt_item": "purchase_receipt_item_example",
  "purchase_invoice_item": "purchase_invoice_item_example",
  "net_purchase_amount": 0,
  "asset_type": "asset_type_example",
  "item_name": "item_name_example"
}
GET /api/assets/asset/{id}

Retrieve a asset

Retrieves the details of an existing asset. Supply the unique asset ID that was returned from a previous request.

Path parameters

id string required

The identifier of the asset to retrieve.

Returns

Returns the asset object if a valid identifier was provided.

GET /api/assets/asset/{id}
curl https://api.overplane.dev/api/assets/asset/asset_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "asset_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "asset_name": "asset_name_example",
  "item_code": "item_code_example",
  "asset_category": "asset_category_example",
  "asset_owner": "Company",
  "asset_owner_company": "Example Corp",
  "supplier": "supplier_example",
  "customer": "customer_example",
  "image": "image_example",
  "company": "Example Corp",
  "location": "location_example",
  "custodian": "custodian_example",
  "cost_center": "cost_center_example",
  "department": "department_example",
  "purchase_date": "2024-01-15",
  "disposal_date": "2024-01-15",
  "journal_entry_for_scrap": "journal_entry_for_scrap_example",
  "available_for_use_date": "2024-01-15",
  "calculate_depreciation": false,
  "opening_accumulated_depreciation": 0,
  "depreciation_method": "depreciation_method_example",
  "value_after_depreciation": 0,
  "total_number_of_depreciations": 0,
  "frequency_of_depreciation": 0,
  "next_depreciation_date": "2024-01-15",
  "policy_number": "policy_number_example",
  "insurer": "insurer_example",
  "insured_value": "insured_value_example",
  "insurance_start_date": "2024-01-15",
  "insurance_end_date": "2024-01-15",
  "comprehensive_insurance": "comprehensive_insurance_example",
  "maintenance_required": false,
  "booked_fixed_asset": false,
  "purchase_receipt": "purchase_receipt_example",
  "purchase_invoice": "purchase_invoice_example",
  "default_finance_book": "default_finance_book_example",
  "split_from": "split_from_example",
  "asset_quantity": 1,
  "depr_entry_posting_status": "depr_entry_posting_status_example",
  "is_fully_depreciated": false,
  "total_asset_cost": 0,
  "additional_asset_cost": 0,
  "purchase_amount": 0,
  "opening_number_of_booked_depreciations": 0,
  "purchase_receipt_item": "purchase_receipt_item_example",
  "purchase_invoice_item": "purchase_invoice_item_example",
  "net_purchase_amount": 0,
  "asset_type": "asset_type_example",
  "item_name": "item_name_example"
}
GET /api/assets/asset

List all assets

Returns a list of assets. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of asset objects.

GET /api/assets/asset
curl https://api.overplane.dev/api/assets/asset \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "asset_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "asset_name": "asset_name_example",
      "item_code": "item_code_example",
      "asset_category": "asset_category_example",
      "asset_owner": "Company",
      "asset_owner_company": "Example Corp",
      "supplier": "supplier_example",
      "customer": "customer_example",
      "image": "image_example",
      "company": "Example Corp",
      "location": "location_example",
      "custodian": "custodian_example",
      "cost_center": "cost_center_example",
      "department": "department_example",
      "purchase_date": "2024-01-15",
      "disposal_date": "2024-01-15",
      "journal_entry_for_scrap": "journal_entry_for_scrap_example",
      "available_for_use_date": "2024-01-15",
      "calculate_depreciation": false,
      "opening_accumulated_depreciation": 0,
      "depreciation_method": "depreciation_method_example",
      "value_after_depreciation": 0,
      "total_number_of_depreciations": 0,
      "frequency_of_depreciation": 0,
      "next_depreciation_date": "2024-01-15",
      "policy_number": "policy_number_example",
      "insurer": "insurer_example",
      "insured_value": "insured_value_example",
      "insurance_start_date": "2024-01-15",
      "insurance_end_date": "2024-01-15",
      "comprehensive_insurance": "comprehensive_insurance_example",
      "maintenance_required": false,
      "booked_fixed_asset": false,
      "purchase_receipt": "purchase_receipt_example",
      "purchase_invoice": "purchase_invoice_example",
      "default_finance_book": "default_finance_book_example",
      "split_from": "split_from_example",
      "asset_quantity": 1,
      "depr_entry_posting_status": "depr_entry_posting_status_example",
      "is_fully_depreciated": false,
      "total_asset_cost": 0,
      "additional_asset_cost": 0,
      "purchase_amount": 0,
      "opening_number_of_booked_depreciations": 0,
      "purchase_receipt_item": "purchase_receipt_item_example",
      "purchase_invoice_item": "purchase_invoice_item_example",
      "net_purchase_amount": 0,
      "asset_type": "asset_type_example",
      "item_name": "item_name_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/assets/asset

Create a asset

Creates a new asset object.

Body parameters

status string

Default: draft

asset_name string required
item_code string required
asset_category string
asset_owner string

Default: Company

asset_owner_company string
supplier string
customer string
image string
company string required
location string required
custodian string
cost_center string
department string
purchase_date string required
disposal_date string
journal_entry_for_scrap string
available_for_use_date string
calculate_depreciation boolean

Default: false

opening_accumulated_depreciation number
depreciation_method string
value_after_depreciation number
total_number_of_depreciations integer
frequency_of_depreciation integer
next_depreciation_date string
policy_number string
insurer string
insured_value string
insurance_start_date string
insurance_end_date string
comprehensive_insurance string
maintenance_required boolean

Default: false

booked_fixed_asset boolean

Default: false

purchase_receipt string
purchase_invoice string
default_finance_book string
split_from string
asset_quantity integer

Default: 1

depr_entry_posting_status string
is_fully_depreciated boolean

Default: false

total_asset_cost number
additional_asset_cost number

Default: 0

purchase_amount number
opening_number_of_booked_depreciations integer
purchase_receipt_item string
purchase_invoice_item string
net_purchase_amount number
asset_type string
item_name string

Returns

Returns the newly created asset object if the call succeeded.

POST /api/assets/asset
curl https://api.overplane.dev/api/assets/asset \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"asset_name":"asset_name_example","item_code":"item_code_example","company":"Example Corp","location":"location_example","purchase_date":"2024-01-15"}'
Response
{
  "id": "asset_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "asset_name": "asset_name_example",
  "item_code": "item_code_example",
  "asset_category": "asset_category_example",
  "asset_owner": "Company",
  "asset_owner_company": "Example Corp",
  "supplier": "supplier_example",
  "customer": "customer_example",
  "image": "image_example",
  "company": "Example Corp",
  "location": "location_example",
  "custodian": "custodian_example",
  "cost_center": "cost_center_example",
  "department": "department_example",
  "purchase_date": "2024-01-15",
  "disposal_date": "2024-01-15",
  "journal_entry_for_scrap": "journal_entry_for_scrap_example",
  "available_for_use_date": "2024-01-15",
  "calculate_depreciation": false,
  "opening_accumulated_depreciation": 0,
  "depreciation_method": "depreciation_method_example",
  "value_after_depreciation": 0,
  "total_number_of_depreciations": 0,
  "frequency_of_depreciation": 0,
  "next_depreciation_date": "2024-01-15",
  "policy_number": "policy_number_example",
  "insurer": "insurer_example",
  "insured_value": "insured_value_example",
  "insurance_start_date": "2024-01-15",
  "insurance_end_date": "2024-01-15",
  "comprehensive_insurance": "comprehensive_insurance_example",
  "maintenance_required": false,
  "booked_fixed_asset": false,
  "purchase_receipt": "purchase_receipt_example",
  "purchase_invoice": "purchase_invoice_example",
  "default_finance_book": "default_finance_book_example",
  "split_from": "split_from_example",
  "asset_quantity": 1,
  "depr_entry_posting_status": "depr_entry_posting_status_example",
  "is_fully_depreciated": false,
  "total_asset_cost": 0,
  "additional_asset_cost": 0,
  "purchase_amount": 0,
  "opening_number_of_booked_depreciations": 0,
  "purchase_receipt_item": "purchase_receipt_item_example",
  "purchase_invoice_item": "purchase_invoice_item_example",
  "net_purchase_amount": 0,
  "asset_type": "asset_type_example",
  "item_name": "item_name_example"
}
PATCH /api/assets/asset/{id}

Update a asset

Updates the specified asset by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the asset to update.

Body parameters

status string

Default: draft

asset_name string
item_code string
asset_category string
asset_owner string

Default: Company

asset_owner_company string
supplier string
customer string
image string
company string
location string
custodian string
cost_center string
department string
purchase_date string
disposal_date string
journal_entry_for_scrap string
available_for_use_date string
calculate_depreciation boolean

Default: false

opening_accumulated_depreciation number
depreciation_method string
value_after_depreciation number
total_number_of_depreciations integer
frequency_of_depreciation integer
next_depreciation_date string
policy_number string
insurer string
insured_value string
insurance_start_date string
insurance_end_date string
comprehensive_insurance string
maintenance_required boolean

Default: false

booked_fixed_asset boolean

Default: false

purchase_receipt string
purchase_invoice string
default_finance_book string
split_from string
asset_quantity integer

Default: 1

depr_entry_posting_status string
is_fully_depreciated boolean

Default: false

total_asset_cost number
additional_asset_cost number

Default: 0

purchase_amount number
opening_number_of_booked_depreciations integer
purchase_receipt_item string
purchase_invoice_item string
net_purchase_amount number
asset_type string
item_name string

Returns

Returns the updated asset object.

PATCH /api/assets/asset/{id}
curl https://api.overplane.dev/api/assets/asset/asset_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","asset_name":"asset_name_example"}'
Response
{
  "id": "asset_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "asset_name": "asset_name_example",
  "item_code": "item_code_example",
  "asset_category": "asset_category_example",
  "asset_owner": "Company",
  "asset_owner_company": "Example Corp",
  "supplier": "supplier_example",
  "customer": "customer_example",
  "image": "image_example",
  "company": "Example Corp",
  "location": "location_example",
  "custodian": "custodian_example",
  "cost_center": "cost_center_example",
  "department": "department_example",
  "purchase_date": "2024-01-15",
  "disposal_date": "2024-01-15",
  "journal_entry_for_scrap": "journal_entry_for_scrap_example",
  "available_for_use_date": "2024-01-15",
  "calculate_depreciation": false,
  "opening_accumulated_depreciation": 0,
  "depreciation_method": "depreciation_method_example",
  "value_after_depreciation": 0,
  "total_number_of_depreciations": 0,
  "frequency_of_depreciation": 0,
  "next_depreciation_date": "2024-01-15",
  "policy_number": "policy_number_example",
  "insurer": "insurer_example",
  "insured_value": "insured_value_example",
  "insurance_start_date": "2024-01-15",
  "insurance_end_date": "2024-01-15",
  "comprehensive_insurance": "comprehensive_insurance_example",
  "maintenance_required": false,
  "booked_fixed_asset": false,
  "purchase_receipt": "purchase_receipt_example",
  "purchase_invoice": "purchase_invoice_example",
  "default_finance_book": "default_finance_book_example",
  "split_from": "split_from_example",
  "asset_quantity": 1,
  "depr_entry_posting_status": "depr_entry_posting_status_example",
  "is_fully_depreciated": false,
  "total_asset_cost": 0,
  "additional_asset_cost": 0,
  "purchase_amount": 0,
  "opening_number_of_booked_depreciations": 0,
  "purchase_receipt_item": "purchase_receipt_item_example",
  "purchase_invoice_item": "purchase_invoice_item_example",
  "net_purchase_amount": 0,
  "asset_type": "asset_type_example",
  "item_name": "item_name_example"
}
DELETE /api/assets/asset/{id}

Delete a asset

Permanently deletes a asset. This cannot be undone.

Path parameters

id string required

The identifier of the asset to delete.

Returns

Returns a confirmation that the asset has been deleted.

DELETE /api/assets/asset/{id}
curl https://api.overplane.dev/api/assets/asset/asset_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "asset_abc123",
  "deleted": true
}
POST /api/assets/asset/{id}/submit

Submit a asset

Submits a draft asset, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the asset to act on.

Returns

Returns the asset object with updated status.

POST /api/assets/asset/{id}/submit
curl https://api.overplane.dev/api/assets/asset/asset_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "asset_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "asset_name": "asset_name_example",
  "item_code": "item_code_example",
  "asset_category": "asset_category_example",
  "asset_owner": "Company",
  "asset_owner_company": "Example Corp",
  "supplier": "supplier_example",
  "customer": "customer_example",
  "image": "image_example",
  "company": "Example Corp",
  "location": "location_example",
  "custodian": "custodian_example",
  "cost_center": "cost_center_example",
  "department": "department_example",
  "purchase_date": "2024-01-15",
  "disposal_date": "2024-01-15",
  "journal_entry_for_scrap": "journal_entry_for_scrap_example",
  "available_for_use_date": "2024-01-15",
  "calculate_depreciation": false,
  "opening_accumulated_depreciation": 0,
  "depreciation_method": "depreciation_method_example",
  "value_after_depreciation": 0,
  "total_number_of_depreciations": 0,
  "frequency_of_depreciation": 0,
  "next_depreciation_date": "2024-01-15",
  "policy_number": "policy_number_example",
  "insurer": "insurer_example",
  "insured_value": "insured_value_example",
  "insurance_start_date": "2024-01-15",
  "insurance_end_date": "2024-01-15",
  "comprehensive_insurance": "comprehensive_insurance_example",
  "maintenance_required": false,
  "booked_fixed_asset": false,
  "purchase_receipt": "purchase_receipt_example",
  "purchase_invoice": "purchase_invoice_example",
  "default_finance_book": "default_finance_book_example",
  "split_from": "split_from_example",
  "asset_quantity": 1,
  "depr_entry_posting_status": "depr_entry_posting_status_example",
  "is_fully_depreciated": false,
  "total_asset_cost": 0,
  "additional_asset_cost": 0,
  "purchase_amount": 0,
  "opening_number_of_booked_depreciations": 0,
  "purchase_receipt_item": "purchase_receipt_item_example",
  "purchase_invoice_item": "purchase_invoice_item_example",
  "net_purchase_amount": 0,
  "asset_type": "asset_type_example",
  "item_name": "item_name_example"
}
POST /api/assets/asset/{id}/cancel

Cancel a asset

Cancels a submitted asset, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the asset to act on.

Returns

Returns the asset object with updated status.

POST /api/assets/asset/{id}/cancel
curl https://api.overplane.dev/api/assets/asset/asset_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "asset_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "asset_name": "asset_name_example",
  "item_code": "item_code_example",
  "asset_category": "asset_category_example",
  "asset_owner": "Company",
  "asset_owner_company": "Example Corp",
  "supplier": "supplier_example",
  "customer": "customer_example",
  "image": "image_example",
  "company": "Example Corp",
  "location": "location_example",
  "custodian": "custodian_example",
  "cost_center": "cost_center_example",
  "department": "department_example",
  "purchase_date": "2024-01-15",
  "disposal_date": "2024-01-15",
  "journal_entry_for_scrap": "journal_entry_for_scrap_example",
  "available_for_use_date": "2024-01-15",
  "calculate_depreciation": false,
  "opening_accumulated_depreciation": 0,
  "depreciation_method": "depreciation_method_example",
  "value_after_depreciation": 0,
  "total_number_of_depreciations": 0,
  "frequency_of_depreciation": 0,
  "next_depreciation_date": "2024-01-15",
  "policy_number": "policy_number_example",
  "insurer": "insurer_example",
  "insured_value": "insured_value_example",
  "insurance_start_date": "2024-01-15",
  "insurance_end_date": "2024-01-15",
  "comprehensive_insurance": "comprehensive_insurance_example",
  "maintenance_required": false,
  "booked_fixed_asset": false,
  "purchase_receipt": "purchase_receipt_example",
  "purchase_invoice": "purchase_invoice_example",
  "default_finance_book": "default_finance_book_example",
  "split_from": "split_from_example",
  "asset_quantity": 1,
  "depr_entry_posting_status": "depr_entry_posting_status_example",
  "is_fully_depreciated": false,
  "total_asset_cost": 0,
  "additional_asset_cost": 0,
  "purchase_amount": 0,
  "opening_number_of_booked_depreciations": 0,
  "purchase_receipt_item": "purchase_receipt_item_example",
  "purchase_invoice_item": "purchase_invoice_item_example",
  "net_purchase_amount": 0,
  "asset_type": "asset_type_example",
  "item_name": "item_name_example"
}